S3QLADM(1)

NAME
s3qladm - Manage S3QL file systems

SYNOPSIS

s3qladm [options] <action> <storage url>

where action may be either of passphrase, upgrade, delete or download-metadata.

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3qladm command performs various operations on unmounted S3QL file systems. The file system must not be mounted when using s3qladm or things will go wrong badly.

The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The s3qladm command accepts the following options.

--debug-modules <modules>
    Activate debugging output from specified modules (use commas to separate multiple modules). Debug messages will be written to the target specified by the --log option.

--debug
    Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

--quiet
    be really quiet

--log <target>
    Destination for log messages. Specify none for standard output or syslog for the system logging daemon. Anything else will be interpreted as a file name. Log files will be rotated when they reach 1 MiB, and at most 5 old log files will be kept. Default: None

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--backend-options <options>
    Backend specific options (separate by commas). See backend documentation for available options.

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--version
    just print program version and exit

    Hint: run s3qladm <action> --help to get help on the additional arguments that the different actions take.

ACTIONS

The following actions may be specified:

passphrase
    Changes the encryption passphrase of the file system.

upgrade
    Upgrade the file system to the newest revision.

delete
    Delete the file system with all the stored data.

download-metadata
    Interactively download backups of the file system metadata.

EXIT CODES

s3qladm may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument.

3   Invalid backend option.

10  Could not open log file for writing.

11  No such backend.

12  Authentication file has insecure permissions.

13  Unable to parse proxy settings.

14  Invalid credentials (Authentication failed).

15  No permission to access backend (Authorization denied).

16  Invalid storage URL, specified location does not exist in backend.

17  Wrong file system passphrase.

18  No S3QL file system found at given storage URL.

19  Unable to connect to backend, can't resolve hostname.

45  Unable to access cache directory.

SEE ALSO

The S3QL homepage is at https://bitbucket.org/nikratio/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>